Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.compute_jobs.terminate_job(id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.computeJobs.terminateJob({
id: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.ComputeJobs.TerminateJobAsync(id: "<id>");
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/compute/jobs/{id}/terminate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/compute/jobs/{id}/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accrued_usd": 123,
"compute": {
"accelerator": "<string>",
"ephemeral_disk_gb": 2,
"gpu_count": 4,
"interconnect": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"endpoints": [
{
"host": "<string>",
"name": "<string>",
"port": 123,
"protocol": "<string>",
"url": "<string>"
}
],
"id": "<string>",
"limits": {
"max_cost_usd": 123,
"max_runtime_hours": 123
},
"reason": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"started_at": "2023-11-07T05:31:56Z",
"terminal_at": "2023-11-07T05:31:56Z",
"allocated_at": "2023-11-07T05:31:56Z",
"hardware": {
"accelerator": "<string>",
"gpu_count": 123,
"gpu_memory_gb": 123,
"interconnect": "<string>"
},
"name": "<string>",
"price_usd_hr": 123,
"provider": "<string>",
"ssh": {
"command": "<string>",
"host": "<string>",
"port": 123,
"user": "<string>"
},
"exit_code": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Compute Jobs
Terminate a job
POST
/
api
/
v1
/
compute
/
jobs
/
{id}
/
terminate
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.compute_jobs.terminate_job(id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.computeJobs.terminateJob({
id: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.ComputeJobs.TerminateJobAsync(id: "<id>");
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
Response
Current job after idempotent termination request
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
requested, allocating, provisioning, running, ready, finalizing, terminating, succeeded, failed, terminated Show child attributes
Show child attributes
Opaque compute-provider identifier. Supported values are deployment-specific.
Minimum string length:
1Show child attributes
Show child attributes
Was this page helpful?
⌘I